### Signal

# Gtk EventControllerFocus::leave

#### Declaration

    void
    leave (
      GtkEventControllerFocus* self,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the focus leaves the widget hierarchy that is rooted at the widget that the controller is attached to.

Note that this means you may not get a ::leave signal even though the focus moves away from the widget, in certain cases (such as when the focus moves from the widget to a descendent). If you are interested in these cases, you can monitor the `GtkEventControllerFocus:is-focus` property for changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.